Subject: Re: bug#42162: gforge.inria.fr to be taken off-line in Dec. 2020

From: Ludovic Courtès <[email-masked]>
Date: Thu, 02 Jul 2020 12:03:39 +0200

zimoun <[email-masked]> skribis:

> On Thu, 02 Jul 2020 at 09:29, Ludovic Courtès <[email-masked]> wrote:
>
>> The hosting site gforge.inria.fr will be taken off-line in December
>> 2020.  This GForge instance hosts source code as tarballs, Subversion
>> repos, and Git repos.  Users have been invited to migrate to
>> gitlab.inria.fr, which is Git only.  It seems that Software Heritage
>> hasn’t archived (yet) all of gforge.inria.fr.  Let’s keep track of the
>> situation in this issue.
>
> [...]
>
>> --8<---------------cut here---------------start------------->8---
>> scheme@(guile-user)> ,pp (lset-difference eq? $7 $8)
>> $11 = (#<package [email-masked] gnu/packages/statistics.scm:3931 7f632401a640>
>>  #<package [email-masked] gnu/packages/multiprecision.scm:158 7f632ee3adc0>
>>  #<package [email-masked] gnu/packages/algebra.scm:103 7f6323ea1280>
>>  #<package [email-masked] gnu/packages/algebra.scm:658 7f6323eb4960>
>>  #<package [email-masked] gnu/packages/algebra.scm:322 7f6323eb4dc0>)
>> --8<---------------cut here---------------end--------------->8---
>
> All the 5 are 'url-fetch' so we can expect that sources.json will be up
> before the shutdown on December. :-)

Unfortunately, it won’t help for tarballs:

  https://sympa.inria.fr/sympa/arc/swh-devel/2020-07/msg00001.html

There’s this other discussion you mentioned, which I hope will have a
positive outcome:

  https://forge.softwareheritage.org/T2430

>> (use-modules (guix) (gnu)
>>              (guix svn-download)
>>              (guix git-download)
>>              (guix swh)
>
> It does not work properly if I do not replace by
>
>                ((guix swh) #:hide (origin?))

Oh right, I had overlooked this as I played at the REPL.

Thanks,
Ludo’.